Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IPortletManager

All Superinterfaces:
  IObjectManager

public interface IPortletManager
extends IObjectManager

Interface that provides a way to obtain information about existing Portlets and Portlet Templates, and enables creation of new Portlets and deletion of existing Portlets. Note: Settings are not saved in the portal until `IPortlet.save()` is called.

Method Summary
`IPortlet` | `createPortletInstance(int parentFolderID, int templateID)` Returns an `IPortlet` object that represents a new Portlet instance in the portal.
`void` | `deletePortlet(int portletID)` Deletes a Portlet instance from the portal.
`IPortlet` | `getPortletInstance(int portletID)` Returns an `IPortlet` object that represents an existing Portlet instance.

Methods inherited from interface com.plumtree.remote.prc.IObjectManager
`lookupObjectID, lookupUUID, queryACL, queryCommunitiesForPortlet, queryExtendedData, queryObjects, queryObjects, queryObjects, queryObjects, queryObjects, querySingleObject, updateACL`

Method Detail

### getPortletInstance

    public IPortlet getPortletInstance(int portletID)
                                throws java.net.MalformedURLException,
                                       PortalException,
                                       java.rmi.RemoteException

  Returns an `IPortlet` object that represents an existing Portlet instance. Any changes made to the Portlet instance will not take effect in the portal until the `IPortlet.save()` method is called.

  Parameters:
    `portletID` - The ID of the Portlet to be returned
  Returns:
    the `IPortlet` instance being queried
  Throws:
    `NoSuchObjectException` - if there is no Portlet with the specified ID
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### createPortletInstance

    public IPortlet createPortletInstance(int parentFolderID,
                                          int templateID)
                                   throws java.net.MalformedURLException,
                                          PortalException,
                                          java.rmi.RemoteException

  Returns an `IPortlet` object that represents a new Portlet instance in the portal. Note: This Portlet will not be created in the portal until the `IPortlet.save()` method is called.

  Parameters:
    `parentFolderID` - the folder in which to create the new Portlet instance
    `templateID` - the template with which to create this Portlet instance
  Returns:
    an object representing the new Portlet instance; the client must call `IPortlet.save()` to save the Portlet instance in the portal.
  Throws:
    `NoSuchObjectException` - if there is no object with the specified ID
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

### deletePortlet

    public void deletePortlet(int portletID)
                       throws java.net.MalformedURLException,
                              PortalException,
                              java.rmi.RemoteException

  Deletes a Portlet instance from the portal.

  Parameters:
    `portletID` - the ID of the Portlet instance to delete
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error on the portal
    `java.rmi.RemoteException` - if there is a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.